Get Account Tokens (paginated)
curl --request GET \
--url https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/account/{accountId}/state/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "algorand",
"accountId": "<string>",
"balances": {
"tokens": [
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
},
"amount": "<string>"
}
]
},
"pagination": {
"nextPage": "<string>"
}
}Account
Get Account Tokens (paginated)
Returns the tokens (amount and details) held by a specified account identifier and chain ID. This endpoint allows for pagination over the returned tokens.
GET
/
api
/
{chainId}
/
account
/
{accountId}
/
state
/
tokens
Get Account Tokens (paginated)
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, ton, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Account identifier (address, xpub, etc) for the specified chain ID
Query Parameters
Token from the previous response of this endpoint. Provide it here to fetch the next page of results.
Response
200 - application/json
Returns the current tokens information for the specified address and chain ID.
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, ton, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?